Intel® High Level Design
Support for Intel® High Level Synthesis Compiler, DSP Builder, OneAPI for Intel® FPGAs, Intel® FPGA SDK for OpenCL™
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
512 Discussions

Difference between Standard and Pro editions of HLS

ettjaakko
Beginner
288 Views

Hi,

I am trying to study the HLS Compiler, but the documentation is unclear.

I understand, that the Standard and Pro editions of Quartus Prime support different devices. But do those device differences apply to the HLS Compiler too?

The Getting Started guide of the HLS Compiler Pro says that if you want Cyclone V support, you should install the HLS Compiler Pro to your Quartus Standard/Lite installation.

Does this mean that I should always use HLS Compiler Pro, even with the Standard or Lite editions of Quartus? Or are there some differences between the HLS Compiler editions?

The HLS Compiler Standard is only available in 19.1 (while HLS Pro is 21.1) and is clearly behind development of the Standard version.

Thank you in advance

0 Kudos
1 Solution
HRZ
Valued Contributor II
264 Views

The Getting Started guide of the HLS Compiler Pro says that if you want Cyclone V support, you should install the HLS Compiler Pro to your Quartus Standard/Lite installation.

This is not the case. The guide says if you want to use the Pro version of the HLS compiler with Cyclone V, you need to install Quartus Standard/Lite since Quartus Pro does not support synthesis for Cyclone V. You can still use HLS Standard with Cyclone V, but only with Quartus 19.1 and below. However, if you want to use Quartus Standard/Lite 20.1 and above, then there is no equivalent version HLS Standard since that compiler is now deprecated; hence, for Quartus Standard/Lite 20.1 and above you have no choice but to use the HLS Pro compiler. Considering the fact that HLS Pro is much more featureful compared to HLS Standard, it is probably best to use HLS Pro anyway; though I am not sure if all of the features of HLS Pro would work on Cyclone V.

View solution in original post

1 Reply
HRZ
Valued Contributor II
265 Views

The Getting Started guide of the HLS Compiler Pro says that if you want Cyclone V support, you should install the HLS Compiler Pro to your Quartus Standard/Lite installation.

This is not the case. The guide says if you want to use the Pro version of the HLS compiler with Cyclone V, you need to install Quartus Standard/Lite since Quartus Pro does not support synthesis for Cyclone V. You can still use HLS Standard with Cyclone V, but only with Quartus 19.1 and below. However, if you want to use Quartus Standard/Lite 20.1 and above, then there is no equivalent version HLS Standard since that compiler is now deprecated; hence, for Quartus Standard/Lite 20.1 and above you have no choice but to use the HLS Pro compiler. Considering the fact that HLS Pro is much more featureful compared to HLS Standard, it is probably best to use HLS Pro anyway; though I am not sure if all of the features of HLS Pro would work on Cyclone V.

Reply